﻿
<div class="portlet-body form">
    @using (Html.BeginForm("SaveUploadedFile", "Mountain", FormMethod.Post, new { role = "form", enctype = "multipart/form-data", name = "formAddPhoto", id = "formModal" }))
        {
        <input type="hidden" id="mntnId" name="id" value="0" />
        <input type="hidden" id="imageCountry" name="country" value="116">
        <div class="row margin-bottom-15">
            <div class="col-md-12">
                <h5>@SYM.Localization.Resources.Views.Mountain.UploadImage.SubTitle <b>@SYM.Localization.Resources.Views.Mountain.UploadImage.Mountain</b>... <i class="fa fa-camera"></i></h5>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <div class="fileinput fileinput-new" data-provides="fileinput">
                        <div class="fileinput-new thumbnail">
                            <img src="http://www.placehold.it/400x300/EFEFEF/AAAAAA&amp;text=no+image" alt="" />
                        </div>
                        <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 400px; max-height: 300px;">
                        </div>
                        <div>
                            <span class="btn default btn-file">
                                <span class="fileinput-new">
                                    @SYM.Localization.Resources.Views.Mountain.UploadImage.SelectImage
                                </span>
                                <span class="fileinput-exists">
                                    @SYM.Localization.Resources.Views.Profile.Settings.Change
                                </span>
                                <input type="file" name="file" required>
                            </span>
                            <a href="javascript:;" class="btn default fileinput-exists" data-dismiss="fileinput">
                                @SYM.Localization.Resources.Views.Profile.Settings.Remove
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <h5>Note:</h5>
                <ul>
                    <li> Estensioni consentite: <b>.png</b> / <b>.jpg</b> / <b>.gif</b> / <b>.jpeg</b>;</li>
                    <li> Con l'upload dichiari di essere l'autore dello scatto;</li>
                    <li> L'immagina rimarrà di tua proprietà e potrà essere rimossa;</li>
                </ul>
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <div id="initR" class="">
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.Region:</label>
                            <select id="imageRegion" name="region" class="form-control select2me" required data_placeholder="Select Region/Country...">
                                <option value="1736">Lombardia</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <div id="iniM" class="has-warning">
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.Mountain:*</label>
                            <select id="imageMntn" name="imageMntn" class="form-control select2me" required data_placeholder="Select Mountain..."></select>
                        </div>
                    </div>
                </div>
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <div>
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.Description:</label>
                            <input type="text" id="imageDescr" name="imageDescr" class="form-control" required data_placeholder="Description..." maxlength="500"></input>
                        </div>
                    </div>
                </div>
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <label class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.AdventureList:</label>
                        <div class="mt-radio-inline">
                            <label class="mt-radio">
                                <input type="radio" name="mountain_log" id="optionsRadios4" value="true"><i class="fa fa-child"></i> @SYM.Localization.Resources.Views.Mountain.UploadImage.Done
                                <span></span>
                            </label>
                            <label class="mt-radio">
                                <input type="radio" name="mountain_log" id="optionsRadios5" value="false"> @SYM.Localization.Resources.Views.Mountain.UploadImage.ToDo <b>Adventure List</b>
                                <span></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        }
</div>

<script type="text/javascript">
    $('#modal-container').removeClass("modal-full").addClass("modal-lg");
    $('#modal-title').html("@SYM.Localization.Resources.Views.Route.Details.ModalImages_Title");
    $('#myModal_submit').html("@SYM.Localization.Resources.Views.Mountain.UploadImage.AddImage");

    //Initialize Select DropDown
    $('.select2me').select2({
        allowClear: true,
        width: null,
        placeholder: ""
    });

    MyApp.Select2Region('#imageRegion', '/api/autocomplete/GetRegion', 'Region...');
    MyApp.Select2LookupMountain('#imageMntn', '/api/autocomplete/GetMountains', '#imageCountry', '#imageRegion', 'Mountain...');

    $('#imageRegion').on("select2:selecting", function (e) {
        $("#imageCountry").val(e.params.args.data.country_id);
    });

    $('#imageMntn').on("select2:selecting", function (e) {
        $("#mntnId").val(e.params.args.data.id);
    });

</script>
